package com.gingersoft.gsa.cloud.main.mvp.model.bean;

public class DaySalesReportBean {

    /**
     * success : true
     * sysTime : 1597391761029
     * data : {"foodAmount":703.04,"disAmount":59.4,"saleAmount":0,"seramount":22.27,"roundAmount":-0.65,"tisAmount":0,"boxAmount":9,"delAmount":0,"billNum":22,"billPerson":14}
     */
    private boolean success;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * foodAmount : 703.04
         * disAmount : 59.4
         * saleAmount : 0.0
         * seramount : 22.27
         * roundAmount : -0.65
         * tisAmount : 0.0
         * boxAmount : 9.0
         * delAmount : 0.0
         * billNum : 22
         * billPerson : 14
         */
        private double foodAmount;//項目銷售金額
        private double disAmount;//折扣
        private double saleAmount;//簽單
        private double seramount;//服務費
        private double roundAmount;//賬單小數
        private double tisAmount;//貼士
        private double boxAmount;//餐盒費
        private double delAmount;//配送費
        private int billNum;//正常訂單
        private int billPerson;//正常人數

        public double getFoodAmount() {
            return foodAmount;
        }

        public void setFoodAmount(double foodAmount) {
            this.foodAmount = foodAmount;
        }

        public double getDisAmount() {
            return disAmount;
        }

        public void setDisAmount(double disAmount) {
            this.disAmount = disAmount;
        }

        public double getSaleAmount() {
            return saleAmount;
        }

        public void setSaleAmount(double saleAmount) {
            this.saleAmount = saleAmount;
        }

        public double getSeramount() {
            return seramount;
        }

        public void setSeramount(double seramount) {
            this.seramount = seramount;
        }

        public double getRoundAmount() {
            return roundAmount;
        }

        public void setRoundAmount(double roundAmount) {
            this.roundAmount = roundAmount;
        }

        public double getTisAmount() {
            return tisAmount;
        }

        public void setTisAmount(double tisAmount) {
            this.tisAmount = tisAmount;
        }

        public double getBoxAmount() {
            return boxAmount;
        }

        public void setBoxAmount(double boxAmount) {
            this.boxAmount = boxAmount;
        }

        public double getDelAmount() {
            return delAmount;
        }

        public void setDelAmount(double delAmount) {
            this.delAmount = delAmount;
        }

        public int getBillNum() {
            return billNum;
        }

        public void setBillNum(int billNum) {
            this.billNum = billNum;
        }

        public int getBillPerson() {
            return billPerson;
        }

        public void setBillPerson(int billPerson) {
            this.billPerson = billPerson;
        }
    }
}
